unit SpriteWorldUtils;

interface

{/--------------------------------------------------------------------------------------}
{	SpriteWorldUtils.h}
{}
{	Portions are copyright:  1991-94 Tony Myles, All rights reserved worldwide.}
{}
{	Description:	constants, structures, and prototypes for sprite utilities}
{/--------------------------------------------------------------------------------------}

	uses
{$IFC undefined THINK_Pascal}
		Types, QuickDraw, Icons, 
{$ENDC}
		QDOffscreen, SWCommonHeaders, SpriteWorld, SpriteLayer, Sprite, SpriteFrame;

{$PUSH}
{$ALIGN MAC68K}

	const
		kColorIconResType = 'cicn';

{/--------------------------------------------------------------------------------------}
{	sprite utilities function prototypes}
{/--------------------------------------------------------------------------------------}

	function SWCreateRegionFromCIconMask (var maskRgn: RgnHandle; cIconH: CIconHandle): OSErr;
	function SWCreateRegionFromPict (var pictRgnH: RgnHandle; srcPictH: PicHandle): OSErr;
	function SWCreateRegionFromPictResource (var pictRgnH: RgnHandle; pictResID: Integer): OSErr;
	function SWGetCIcon (var cIconH: CIconHandle; iconResID: Integer): OSErr;
	function SWCreateRegionFromGWorldAndRect (var maskRgn: RgnHandle; maskGWorld: GWorldPtr; var frameRect: Rect): OSErr;

	function SWCreateGWorldFromPictResource (destSpriteWorld: SpriteWorldPtr; var pictGWorldP: GWorldPtr; pictResID: Integer): OSErr;
	function SWCreateGWorldFromPict (destSpriteWorld: SpriteWorldPtr; var pictGWorld: GWorldPtr; srcPictH: PicHandle): OSErr;
	function SWCreateGWorldFromCIconMask (destSpriteWorld: SpriteWorldPtr; var maskGWorldP: GWorldPtr; cIconH: CIconHandle): OSErr;
	function SWBlackenGWorld (oldGWorld: GWorldPtr): OSErr;

	procedure SWClearStickyError;
	function SWStickyError: OSErr;
	procedure SWSetStickyIfError (errNum: OSErr);

	function SWHasSystem7: Boolean;

{$ALIGN RESET}
{$POP}

{$IFC not undefined THINK_Pascal}
implementation
{$ENDC}
end.
